---
title: "RetroPie Bluetooth"
date: 2023-03-05T11:21:09-06:00
tags:
  - retropie
  - raspberrypi
toc: true
---

## Protocol not available

```shell
sudo apt install pulseaudio-module-bluetooth
```

Add `ExecStartPre=/bin/sleep 4` to `/lib/systemd/system/bthelper@.service`

```shell
sudo systemctl start sys-subsystem-bluetooth-devices-hci0.device
sudo hciconfig hci0 down
sudo killall pulseaudio
systemctl --user enable --now pulseaudio.service
sudo systemctl restart bluetooth
```
