---
title: "Windows Restore Boot Files"
date: 2023-03-05T11:27:05-06:00
tags:
  - windows
toc: true
---

- Download Windows 11 ISO from Microsoft and write to USB
- Boot into Windows setup utility
- Select Repair computer --> Troubleshoot --> Advanced --> Cmd prompt

This procedure assumes the following:
- main disk is `disk 0`
- EFI partition is `part 1`
- Windows OS drive letter is `c:`

The following commands will format the old EFI partition, mount it to `s:`, and copy the boot files to it:

```shell
diskpart
> list disk
> sel disk 0
> list part
> sel part 1
> format fs=fat32 quick label=System
> list vol
> exit
mountvol S: /S
bcdboot c:\windows /s s: /f UEFI /v
exit
```

